Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ClientConnectionGCM.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionGCM.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.ClientConnectionGCMOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.ClientConnectionGCM

public static final class ClientWireProtocol.ClientConnectionGCM.Builder extends GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM.Builder> implements ClientWireProtocol.ClientConnectionGCMOrBuilder
Protobuf type `xg.cmdcomp.ClientConnectionGCM`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ClientConnectionGCM`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.ClientConnectionGCM`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clearClientid()`
`string clientid = 3;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clearDatabase()`
`string database = 2;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clearExplicitSSO()`
Is this a token-based SSO flow?
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clearMajorClientVersion()`
`int32 majorClientVersion = 5;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clearMinorClientVersion()`
`int32 minorClientVersion = 6;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clearPatchClientVersion()`
note the out of order field numbering
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clearSessionID()`
`string sessionID = 7;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clearSupportsSortedParallelTCPStreams()`
True if the client supports parallel
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clearUserid()`
`string userid = 1;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`clearVersion()`
`string version = 4;`
`String`
`getClientid()`
`string clientid = 3;`
`ByteString`
`getClientidBytes()`
`string clientid = 3;`
`String`
`getDatabase()`
`string database = 2;`
`ByteString`
`getDatabaseBytes()`
`string database = 2;`
`ClientWireProtocol.ClientConnectionGCM`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`boolean`
`getExplicitSSO()`
Is this a token-based SSO flow?
`int`
`getMajorClientVersion()`
`int32 majorClientVersion = 5;`
`int`
`getMinorClientVersion()`
`int32 minorClientVersion = 6;`
`String`
`getPatchClientVersion()`
note the out of order field numbering
`ByteString`
`getPatchClientVersionBytes()`
note the out of order field numbering
`String`
`getSessionID()`
`string sessionID = 7;`
`ByteString`
`getSessionIDBytes()`
`string sessionID = 7;`
`boolean`
`getSupportsSortedParallelTCPStreams()`
True if the client supports parallel
`String`
`getUserid()`
`string userid = 1;`
`ByteString`
`getUseridBytes()`
`string userid = 1;`
`String`
`getVersion()`
`string version = 4;`
`ByteString`
`getVersionBytes()`
`string version = 4;`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.ClientConnectionGCM.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.ClientConnectionGCM.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.ClientConnectionGCM.Builder`
`mergeFrom(ClientWireProtocol.ClientConnectionGCM other)`
`final ClientWireProtocol.ClientConnectionGCM.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setClientid(String value)`
`string clientid = 3;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setClientidBytes(ByteString value)`
`string clientid = 3;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setDatabase(String value)`
`string database = 2;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setDatabaseBytes(ByteString value)`
`string database = 2;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setExplicitSSO(boolean value)`
Is this a token-based SSO flow?
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setMajorClientVersion(int value)`
`int32 majorClientVersion = 5;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setMinorClientVersion(int value)`
`int32 minorClientVersion = 6;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setPatchClientVersion(String value)`
note the out of order field numbering
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setPatchClientVersionBytes(ByteString value)`
note the out of order field numbering
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setSessionID(String value)`
`string sessionID = 7;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setSessionIDBytes(ByteString value)`
`string sessionID = 7;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setSupportsSortedParallelTCPStreams(boolean value)`
True if the client supports parallel
`final ClientWireProtocol.ClientConnectionGCM.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setUserid(String value)`
`string userid = 1;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setUseridBytes(ByteString value)`
`string userid = 1;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setVersion(String value)`
`string version = 4;`
`ClientWireProtocol.ClientConnectionGCM.Builder`
`setVersionBytes(ByteString value)`
`string version = 4;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM.Builder>`

### clear

public ClientWireProtocol.ClientConnectionGCM.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ClientConnectionGCM getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.ClientConnectionGCM build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ClientConnectionGCM buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.ClientConnectionGCM.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ClientConnectionGCM.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionGCM.Builder mergeFrom(ClientWireProtocol.ClientConnectionGCM other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionGCM.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ClientConnectionGCM.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getUserid

public String getUserid()
`string userid = 1;`

Specified by:
  `getUserid` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The userid.

### getUseridBytes

public ByteString getUseridBytes()
`string userid = 1;`

Specified by:
  `getUseridBytes` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The bytes for userid.

### setUserid

public ClientWireProtocol.ClientConnectionGCM.Builder setUserid(String value)
`string userid = 1;`

Parameters:
  `value` - The userid to set.
Returns:
  This builder for chaining.

### clearUserid

public ClientWireProtocol.ClientConnectionGCM.Builder clearUserid()
`string userid = 1;`

Returns:
  This builder for chaining.

### setUseridBytes

public ClientWireProtocol.ClientConnectionGCM.Builder setUseridBytes(ByteString value)
`string userid = 1;`

Parameters:
  `value` - The bytes for userid to set.
Returns:
  This builder for chaining.

### getDatabase

public String getDatabase()
`string database = 2;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The database.

### getDatabaseBytes

public ByteString getDatabaseBytes()
`string database = 2;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The bytes for database.

### setDatabase

public ClientWireProtocol.ClientConnectionGCM.Builder setDatabase(String value)
`string database = 2;`

Parameters:
  `value` - The database to set.
Returns:
  This builder for chaining.

### clearDatabase

public ClientWireProtocol.ClientConnectionGCM.Builder clearDatabase()
`string database = 2;`

Returns:
  This builder for chaining.

### setDatabaseBytes

public ClientWireProtocol.ClientConnectionGCM.Builder setDatabaseBytes(ByteString value)
`string database = 2;`

Parameters:
  `value` - The bytes for database to set.
Returns:
  This builder for chaining.

### getClientid

public String getClientid()
`string clientid = 3;`

Specified by:
  `getClientid` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The clientid.

### getClientidBytes

public ByteString getClientidBytes()
`string clientid = 3;`

Specified by:
  `getClientidBytes` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The bytes for clientid.

### setClientid

public ClientWireProtocol.ClientConnectionGCM.Builder setClientid(String value)
`string clientid = 3;`

Parameters:
  `value` - The clientid to set.
Returns:
  This builder for chaining.

### clearClientid

public ClientWireProtocol.ClientConnectionGCM.Builder clearClientid()
`string clientid = 3;`

Returns:
  This builder for chaining.

### setClientidBytes

public ClientWireProtocol.ClientConnectionGCM.Builder setClientidBytes(ByteString value)
`string clientid = 3;`

Parameters:
  `value` - The bytes for clientid to set.
Returns:
  This builder for chaining.

### getVersion

public String getVersion()
`string version = 4;`

Specified by:
  `getVersion` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The version.

### getVersionBytes

public ByteString getVersionBytes()
`string version = 4;`

Specified by:
  `getVersionBytes` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The bytes for version.

### setVersion

public ClientWireProtocol.ClientConnectionGCM.Builder setVersion(String value)
`string version = 4;`

Parameters:
  `value` - The version to set.
Returns:
  This builder for chaining.

### clearVersion

public ClientWireProtocol.ClientConnectionGCM.Builder clearVersion()
`string version = 4;`

Returns:
  This builder for chaining.

### setVersionBytes

public ClientWireProtocol.ClientConnectionGCM.Builder setVersionBytes(ByteString value)
`string version = 4;`

Parameters:
  `value` - The bytes for version to set.
Returns:
  This builder for chaining.

### getMajorClientVersion

public int getMajorClientVersion()
`int32 majorClientVersion = 5;`

Specified by:
  `getMajorClientVersion` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The majorClientVersion.

### setMajorClientVersion

public ClientWireProtocol.ClientConnectionGCM.Builder setMajorClientVersion(int value)
`int32 majorClientVersion = 5;`

Parameters:
  `value` - The majorClientVersion to set.
Returns:
  This builder for chaining.

### clearMajorClientVersion

public ClientWireProtocol.ClientConnectionGCM.Builder clearMajorClientVersion()
`int32 majorClientVersion = 5;`

Returns:
  This builder for chaining.

### getMinorClientVersion

public int getMinorClientVersion()
`int32 minorClientVersion = 6;`

Specified by:
  `getMinorClientVersion` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The minorClientVersion.

### setMinorClientVersion

public ClientWireProtocol.ClientConnectionGCM.Builder setMinorClientVersion(int value)
`int32 minorClientVersion = 6;`

Parameters:
  `value` - The minorClientVersion to set.
Returns:
  This builder for chaining.

### clearMinorClientVersion

public ClientWireProtocol.ClientConnectionGCM.Builder clearMinorClientVersion()
`int32 minorClientVersion = 6;`

Returns:
  This builder for chaining.

### getPatchClientVersion

public String getPatchClientVersion()

     note the out of order field numbering

`string patchClientVersion = 9;`

Specified by:
  `getPatchClientVersion` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The patchClientVersion.

### getPatchClientVersionBytes

public ByteString getPatchClientVersionBytes()

     note the out of order field numbering

`string patchClientVersion = 9;`

Specified by:
  `getPatchClientVersionBytes` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The bytes for patchClientVersion.

### setPatchClientVersion

public ClientWireProtocol.ClientConnectionGCM.Builder setPatchClientVersion(String value)

     note the out of order field numbering

`string patchClientVersion = 9;`

Parameters:
  `value` - The patchClientVersion to set.
Returns:
  This builder for chaining.

### clearPatchClientVersion

public ClientWireProtocol.ClientConnectionGCM.Builder clearPatchClientVersion()

     note the out of order field numbering

`string patchClientVersion = 9;`

Returns:
  This builder for chaining.

### setPatchClientVersionBytes

public ClientWireProtocol.ClientConnectionGCM.Builder setPatchClientVersionBytes(ByteString value)

     note the out of order field numbering

`string patchClientVersion = 9;`

Parameters:
  `value` - The bytes for patchClientVersion to set.
Returns:
  This builder for chaining.

### getSessionID

public String getSessionID()
`string sessionID = 7;`

Specified by:
  `getSessionID` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The sessionID.

### getSessionIDBytes

public ByteString getSessionIDBytes()
`string sessionID = 7;`

Specified by:
  `getSessionIDBytes` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The bytes for sessionID.

### setSessionID

public ClientWireProtocol.ClientConnectionGCM.Builder setSessionID(String value)
`string sessionID = 7;`

Parameters:
  `value` - The sessionID to set.
Returns:
  This builder for chaining.

### clearSessionID

public ClientWireProtocol.ClientConnectionGCM.Builder clearSessionID()
`string sessionID = 7;`

Returns:
  This builder for chaining.

### setSessionIDBytes

public ClientWireProtocol.ClientConnectionGCM.Builder setSessionIDBytes(ByteString value)
`string sessionID = 7;`

Parameters:
  `value` - The bytes for sessionID to set.
Returns:
  This builder for chaining.

### getExplicitSSO

public boolean getExplicitSSO()

     Is this a token-based SSO flow?

`bool explicitSSO = 8;`

Specified by:
  `getExplicitSSO` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The explicitSSO.

### setExplicitSSO

public ClientWireProtocol.ClientConnectionGCM.Builder setExplicitSSO(boolean value)

     Is this a token-based SSO flow?

`bool explicitSSO = 8;`

Parameters:
  `value` - The explicitSSO to set.
Returns:
  This builder for chaining.

### clearExplicitSSO

public ClientWireProtocol.ClientConnectionGCM.Builder clearExplicitSSO()

     Is this a token-based SSO flow?

`bool explicitSSO = 8;`

Returns:
  This builder for chaining.

### getSupportsSortedParallelTCPStreams

public boolean getSupportsSortedParallelTCPStreams()

     True if the client supports parallel

`bool supportsSortedParallelTCPStreams = 10;`

Specified by:
  `getSupportsSortedParallelTCPStreams` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`
Returns:
  The supportsSortedParallelTCPStreams.

### setSupportsSortedParallelTCPStreams

public ClientWireProtocol.ClientConnectionGCM.Builder setSupportsSortedParallelTCPStreams(boolean value)

     True if the client supports parallel

`bool supportsSortedParallelTCPStreams = 10;`

Parameters:
  `value` - The supportsSortedParallelTCPStreams to set.
Returns:
  This builder for chaining.

### clearSupportsSortedParallelTCPStreams

public ClientWireProtocol.ClientConnectionGCM.Builder clearSupportsSortedParallelTCPStreams()

     True if the client supports parallel

`bool supportsSortedParallelTCPStreams = 10;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.ClientConnectionGCM.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ClientConnectionGCM.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM.Builder>`